| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Static Public Member Functions | List of all members
Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full > Struct Template Reference

BaseValueHandler specialization in the case of atomicity full. More...

`#include <GaudiKernel/Counters.h>`

Inheritance diagram for Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full >:
[legend]

## Public Types
using | OutputType = Arithmetic
using | InternalType = std::atomic< Arithmetic >

## Static Public Member Functions
static constexpr OutputType | getValue (const InternalType &v) noexcept
static Arithmetic | exchange (InternalType &v, Arithmetic newv) noexcept

## Detailed Description

### template<typename Arithmetic>
struct Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full >

BaseValueHandler specialization in the case of atomicity full.

Definition at line 221 of file Counters.h.

## Member Typedef Documentation

## ◆ InternalType

template<typename Arithmetic >

using Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full >::InternalType = std::atomic<Arithmetic>

Definition at line 223 of file Counters.h.

## ◆ OutputType

template<typename Arithmetic >

using Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full >::OutputType = Arithmetic

Definition at line 222 of file Counters.h.

## Member Function Documentation

## ◆ exchange()

template<typename Arithmetic >

static Arithmetic Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full >::exchange | ( | InternalType & | v,
|  | Arithmetic | newv
| ) |  |
| inline static noexcept

Definition at line 227 of file Counters.h.

227 { return v.exchange( newv ); }

## ◆ getValue()

template<typename Arithmetic >

static constexpr OutputType Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::full >::getValue | ( | const InternalType & | v | ) |
| inline static noexcept

Definition at line 224 of file Counters.h.

224 {
225 return v.load( std::memory_order_relaxed );
226 };

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Counters.h